# SoComposeVec4f Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeVec4f:

List of all members.

## Detailed Description

The SoComposeVec4f class is used to compose 4D vectors from four floats.

## Public Attributes

SoMFFloat | x
SoMFFloat | y
SoMFFloat | z
SoMFFloat | w
SoEngineOutput | vector

## Member Data Documentation

SoMFFloat SoComposeVec4f::x

| First coordinates of the output vectors.

SoMFFloat SoComposeVec4f::y

| Second coordinates of the output vectors.

SoMFFloat SoComposeVec4f::z

| Third coordinates of the output vectors.

SoMFFloat SoComposeVec4f::w

| Fourth coordinates of the output vectors.

SoEngineOutput SoComposeVec4f::vector

| (SoMFVec4f) 4D vectors.

The documentation for this class was generated from the following files:

- SoComposeVec4f.h
- SoComposeVec4f.cpp